跳转到主要内容
PATCH
/
monitor
/
{monitorId}
更新监控
curl --request PATCH \
  --url https://api.firecrawl.dev/v2/monitor/{monitorId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "schedule": {
    "text": "every 15 minutes starting at :07"
  },
  "status": "active"
}
'
import requests

url = "https://api.firecrawl.dev/v2/monitor/{monitorId}"

payload = {
"schedule": { "text": "every 15 minutes starting at :07" },
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({schedule: {text: 'every 15 minutes starting at :07'}, status: 'active'})
};

fetch('https://api.firecrawl.dev/v2/monitor/{monitorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "createdAt": "2023-11-07T05:31:56Z",
    "currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "estimatedCreditsPerMonth": 123,
    "goal": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "judgeEnabled": true,
    "lastCheckSummary": {
      "changed": 123,
      "error": 123,
      "new": 123,
      "removed": 123,
      "same": 123,
      "totalPages": 123
    },
    "lastRunAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "nextRunAt": "2023-11-07T05:31:56Z",
    "notification": {
      "email": {
        "enabled": false,
        "includeDiffs": false,
        "recipients": [
          "jsmith@example.com"
        ]
      }
    },
    "retentionDays": 123,
    "schedule": {
      "cron": "<string>",
      "timezone": "<string>"
    },
    "targets": [
      {
        "type": "scrape",
        "urls": [
          "<string>"
        ],
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "scrapeOptions": {
          "actions": [
            {
              "milliseconds": 2,
              "type": "wait"
            }
          ],
          "blockAds": true,
          "excludeTags": [
            "<string>"
          ],
          "formats": [
            "markdown"
          ],
          "headers": {},
          "includeTags": [
            "<string>"
          ],
          "location": {
            "country": "US",
            "languages": [
              "en-US"
            ]
          },
          "lockdown": false,
          "maxAge": 172800000,
          "minAge": 123,
          "mobile": false,
          "onlyCleanContent": false,
          "onlyMainContent": true,
          "parsers": [
            "pdf"
          ],
          "profile": {
            "name": "<string>",
            "saveChanges": true
          },
          "proxy": "auto",
          "redactPII": false,
          "removeBase64Images": true,
          "skipTlsVerification": true,
          "storeInCache": true,
          "threatProtection": {
            "blacklist": [
              "<string>"
            ],
            "blockedTlds": [
              "<string>"
            ],
            "riskScoreThreshold": 75,
            "whitelist": [
              "<string>"
            ]
          },
          "timeout": 60000,
          "waitFor": 0
        }
      }
    ],
    "updatedAt": "2023-11-07T05:31:56Z",
    "webhook": {
      "url": "<string>",
      "events": [],
      "headers": {},
      "metadata": {}
    }
  },
  "success": true
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

monitorId
string<uuid>
必填

监控 ID

请求体

application/json

部分监控更新 payload。请至少包含一个字段。

goal
string | null

用于判定页面变更是否有实际意义的自然语言目标。若提供此字段且省略 judgeEnabled,则会自动启用判定。当任一目标为 search 目标时,除非 judgeEnabledfalse,否则此字段必填且不得为空。

Maximum string length: 2000
judgeEnabled
boolean

是否根据 goal 判断已变更页面。运行时需要提供非空的 goal

name
string
Maximum string length: 256
notification
object
retentionDays
integer
必填范围: 1 <= x <= 365
schedule
object

监控检查的调度计划。请提供 crontext 其中之一。

status
enum<string>
可用选项:
active,
paused
targets
(Scrape target · object | Crawl target · object | Search target · object)[]
Required array length: 1 - 50 elements
webhook
object

用于接收监控页面事件和检查完成事件的 Webhook 目标地址。

响应

监控已更新

data
object
success
boolean